
SUBDIRS = pixmaps gdeb

AM_CFLAGS = $(WARN_CFLAGS)
AM_CXXFLAGS = $(WARN_CXXFLAGS)

GAPT_INCLUDES = -I$(includedir) $(LIBGNOMEUI2_CFLAGS) $(LIBZVT2_CFLAGS) \
	-DPREFIX=\"$(prefix)\" -DSYSCONFDIR=\"$(sysconfdir)\" \
	-DDATADIR=\"$(datadir)\" -DLIBDIR=\"$(libdir)\" \
	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" -DG_LOG_DOMAIN="\"Gnome Apt Frontend\"" 

VFS_INCLUDES = -I$(includedir) $(LIBGNOMEVFS2_CFLAGS) 

gnome_apt_SOURCES =	\
	acquirestatus.cc	\
	app.cc		\
	cache.cc	\
	cachecontrol.cc	\
	childprocess.cc	\
	depresolver.cc	\
	details.cc	\
	dialogprogress.cc	\
	drawtree.cc	\
	filter.cc	\
	filterbar.cc	\
	gaptdrawingarea.c	\
	gaptpixbuf.c	\
	gnome-apt.cc	\
	gtkexpander.c	\
	infopanes.cc	\
	menus.cc	\
	pkglist.cc	\
	pkgtree.cc	\
	pkgutil.cc	\
	preferences.cc	\
	redlistview.c	\
	rsources.cc	\
	search.cc	\
	sources.cc	\
	sources-wizard.cc	\
	acquirestatus.h	\
	app.h		\
	cache.h		\
	cachecontrol.h		\
	childprocess.h	\
	depresolver.h	\
	details.h	\
	dialogprogress.h	\
	drawtree.h	\
	filter.h	\
	filterbar.h	\
	gadefs.h	\
	gaptdrawingarea.h	\
	gaptpixbuf.h	\
	gnome-apt.h	\
	gtkexpander.h	\
	infopanes.h	\
	menus.h		\
	pkglist.h	\
	pkgtree.h	\
	pkgutil.h	\
	preferences.h	\
	redlistview.h	\
	rsources.h	\
	search.h	\
	sources.h	\
	sources-wizard.h

bin_PROGRAMS = gnome-apt gapt-test

gnome_apt_CPPFLAGS = $(GAPT_INCLUDES)
gnome_apt_LDADD = $(LIBGNOMEUI2_LIBS) $(LIBZVT2_LIBS) -lapt-pkg

EXTRA_DIST = gnome-apt.png gnome-apt-splash.png gnome-apt.desktop.in software.conf.in

imagedir = $(datadir)/pixmaps
image_DATA = gnome-apt.png gnome-apt-splash.png

menudir = $(datadir)/applications
menu_in_files = gnome-apt.desktop.in
menu_DATA = $(menu_in_files:.desktop.in=.desktop)

gnomevfsdir = $(libdir)/gnome-vfs-2.0/modules
gnomevfsconfdir = $(sysconfdir)/gnome-vfs-2.0/modules
gnomevfs_in_files = software.conf.in
gnomevfs_LTLIBRARIES = libsoftware.la
gnomevfsconf_DATA = $(gnomevfs_in_files:.conf.in=.conf)

libsoftware_la_SOURCES = cache.cc pkgtree.cc pkgvfs.cc \
	cache.h filter.h gadefs.h pkgtree.h
libsoftware_la_CPPFLAGS = $(VFS_INCLUDES)
libsoftware_la_CXXFLAGS = $(AM_CXXFLAGS)
libsoftware_la_LDFLAGS = -avoid-version -module
libsoftware_la_LIBADD = $(LIBGNOMEVFS2_LIBS) -lapt-pkg

# TODO: clean up filter so that we don't need filter and search classes here
gapt_test_CPPFLAGS = $(GAPT_INCLUDES)
gapt_test_CXXFLAGS = $(AM_CXXFLAGS)
gapt_test_SOURCES = cache.cc filter.cc gapttreemodel.cc pkgtree.cc search.cc \
	cache.h filter.h gapttreemodel.h pkgtree.h search.h
gapt_test_LDADD = $(LIBGTK2_LIBS) -lapt-pkg

